## com.baidubce.services.media.model
Class CreatePipelineRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.CreatePipelineRequest

    public class CreatePipelineRequest

extends AbstractBceRequest

Constructor Summary
`CreatePipelineRequest()`

Method Summary
`PipelineConfig` `getConfig()` pipeline的的配置
`String` `getDescription()` pipeline描述
`String` `getPipelineName()` 系统生成的队列唯一标识
`String` `getSourceBucket()` pipeline的源Bucket
`String` `getTargetBucket()` pipeline的目的Bucket
`void` `setConfig(PipelineConfig config)`
`void` `setDescription(String description)`
`void` `setPipelineName(String pipelineName)`
`void` `setSourceBucket(String sourceBucket)`
`void` `setTargetBucket(String targetBucket)`
`String` `toString()`
`CreatePipelineRequest` `withConfig(PipelineConfig config)`
`CreatePipelineRequest` `withDescription(String description)`
`CreatePipelineRequest` `withPipelineName(String pipelineName)`
`CreatePipelineRequest` `withRequestCredentials(BceCredentials credentials)`
`CreatePipelineRequest` `withSourceBucket(String sourceBucket)`
`CreatePipelineRequest` `withTargetBucket(String targetBucket)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreatePipelineRequest

    public CreatePipelineRequest()

Method Detail

### getPipelineName

    public String getPipelineName()

  系统生成的队列唯一标识

### setPipelineName

    public void setPipelineName(String pipelineName)

### withPipelineName

    public CreatePipelineRequest withPipelineName(String pipelineName)

### getDescription

    public String getDescription()

  pipeline描述

### setDescription

    public void setDescription(String description)

### withDescription

    public CreatePipelineRequest withDescription(String description)

### getSourceBucket

    public String getSourceBucket()

  pipeline的源Bucket

### setSourceBucket

    public void setSourceBucket(String sourceBucket)

### withSourceBucket

    public CreatePipelineRequest withSourceBucket(String sourceBucket)

### getTargetBucket

    public String getTargetBucket()

  pipeline的目的Bucket

### setTargetBucket

    public void setTargetBucket(String targetBucket)

### withTargetBucket

    public CreatePipelineRequest withTargetBucket(String targetBucket)

### getConfig

    public PipelineConfig getConfig()

  pipeline的的配置

### setConfig

    public void setConfig(PipelineConfig config)

### withConfig

    public CreatePipelineRequest withConfig(PipelineConfig config)

### withRequestCredentials

    public CreatePipelineRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.